API
GET /api/dm/threads
List My Dm Threads
GET /api/dm/threads
List My Dm Threads
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
include_archived | query | boolean | No | Defaults to false. |
X-Org-ID | header | string | null | No | - |
Example request
curl -X GET https://api.cognitivx.io/api/dm/threads \
-H "Authorization: Bearer icog_..."Example response
200 application/json
[
{
"thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"peer_user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"peer_username": "production",
"peer_display_name": "production",
"peer_avatar_url": "https://example.com",
"peer_online": false,
"last_message": null,
"unread": 0,
"last_message_at": "2026-06-16T08:30:00Z",
"archived": false
}
]Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |